import http from "@/utils/request"

export default {
	upload: {
		url: `/upload`,
		name: "文件上传",
		post: async function(data, config={}){
			config.baseURL = "/mock"
			return await http.post(data,this.url, config);
		}
	},
	file: {
		menu: {
			url: `/file/menu`,
			name: "获取文件分类",
			get: async function(){
				return await http.get({},this.url,{
					baseURL: "/mock"
				});
			}
		},
		list: {
			url: `/file/list`,
			name: "获取文件列表",
			get: async function(params){
				return await http.get(params,this.url,{
					baseURL: "/mock"
				});
			}
		}
	}
}
